@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Mono:wght@100..900&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');

body {
    background-color: whitesmoke;
    font-family: "Noto Sans", sans-serif;
    margin: 0;
}

header, nav#toc, article, footer {
    background-color: white;
    border: thin solid gray;
    border-radius: 0.25em;
    box-shadow: 0 0 0.25em gray;
    margin: 1em;
    padding: 1em;
}

ul:is(.toc, .specs) a:hover {
    background-color: indigo;
    color: white;
}

pre {
    background-color: aliceblue;
    border-left: 0.5em solid indigo;
    font-family: "Noto Sans Mono", monospace;
    overflow-x: auto;
    padding: 0.5em;
}

footer {
    text-align: center;
}

p.legal img {
    vertical-align: middle;
}

a:is(:link, :visited) {
    color: indigo;
}

h2 > a:is(:link, :visited) {
    color: black;
    text-decoration: none;
}

h2 > a:hover {
    text-decoration: underline;
}
